org.h2.build.doclet

## Class Doclet

- java.lang.Object
- - org.h2.build.doclet.Doclet

    public class Doclet
    extends java.lang.Object

This class is a custom doclet implementation to generate the Javadoc for this product.

### Constructor Summary

Constructors
Constructor and Description
`Doclet()`

### Method Summary

All Methods Static Methods Concrete Methods
`static com.sun.javadoc.LanguageVersion` `languageVersion()` Get the language version this doclet supports.
`static boolean` `start(com.sun.javadoc.RootDoc root)` This method is called by the javadoc framework and is required for all doclets.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Doclet

    public Doclet()

### Method Detail

#### start

    public static boolean start(com.sun.javadoc.RootDoc root)
                         throws java.io.IOException

This method is called by the javadoc framework and is required for all doclets.

Parameters:
  `root` - the root
Returns:
  true if successful
Throws:
  `java.io.IOException` - on failure

#### languageVersion

    public static com.sun.javadoc.LanguageVersion languageVersion()

Get the language version this doclet supports.

Returns:
  the language version